package com.ruoyi.project.sems.his.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.his.mapper.TApproveSpecModifyMapper;
import com.ruoyi.project.sems.his.domain.TApproveSpecModify;
import com.ruoyi.project.sems.his.service.ITApproveSpecModifyService;

/**
 * 特种设备变更申请Service业务层处理
 *
 * @author ruoyi
 * @date 2021-09-02
 */
@Service
public class TApproveSpecModifyServiceImpl implements ITApproveSpecModifyService
{
    @Autowired
    private TApproveSpecModifyMapper tApproveSpecModifyMapper;

    /**
     * 查询特种设备变更申请
     *
     * @param id 特种设备变更申请ID
     * @return 特种设备变更申请
     */
    @Override
    public TApproveSpecModify selectTApproveSpecModifyById(Long id)
    {
        return tApproveSpecModifyMapper.selectTApproveSpecModifyById(id);
    }

    /**
     * 查询特种设备变更申请列表
     *
     * @param tApproveSpecModify 特种设备变更申请
     * @return 特种设备变更申请
     */
    @Override
    public List<TApproveSpecModify> selectTApproveSpecModifyList(TApproveSpecModify tApproveSpecModify)
    {
        return tApproveSpecModifyMapper.selectTApproveSpecModifyList(tApproveSpecModify);
    }

    /**
     * 新增特种设备变更申请
     *
     * @param tApproveSpecModify 特种设备变更申请
     * @return 结果
     */
    @Override
    public int insertTApproveSpecModify(TApproveSpecModify tApproveSpecModify)
    {
        return tApproveSpecModifyMapper.insertTApproveSpecModify(tApproveSpecModify);
    }

    /**
     * 修改特种设备变更申请
     *
     * @param tApproveSpecModify 特种设备变更申请
     * @return 结果
     */
    @Override
    public int updateTApproveSpecModify(TApproveSpecModify tApproveSpecModify)
    {
        return tApproveSpecModifyMapper.updateTApproveSpecModify(tApproveSpecModify);
    }

    /**
     * 批量删除特种设备变更申请
     *
     * @param ids 需要删除的特种设备变更申请ID
     * @return 结果
     */
    @Override
    public int deleteTApproveSpecModifyByIds(Long[] ids)
    {
        return tApproveSpecModifyMapper.deleteTApproveSpecModifyByIds(ids);
    }

    /**
     * 删除特种设备变更申请信息
     *
     * @param id 特种设备变更申请ID
     * @return 结果
     */
    @Override
    public int deleteTApproveSpecModifyById(Long id)
    {
        return tApproveSpecModifyMapper.deleteTApproveSpecModifyById(id);
    }
}
